Package com.macrofocus.high_d.som

# Class AbstractSOM<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.som.AbstractSOM<Component,Color,Row,Column>

All Implemented Interfaces:
  `SOM<Component,Color,Row,Column>`

Direct Known Subclasses:
  `SwingSOM`

public abstract class AbstractSOM<Component,Color,Row,Column> extends Object implements SOM<Component,Color,Row,Column>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SOMController`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected SOMView<Component,Color,Row,Column>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSOM(SOMModel<Color,Row,Column> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract SOMController`
  `createController(SOMView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected abstract SOMModel<Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected abstract SOMView<Component,Color,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `SOMController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `SOMModel<Color,Row,Column>`
  `getModel()`
  Returns the model used by the scatter plot component.
  `SOMView<Component,Color,Row,Column>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `protected void`
  `load(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Loads the specified data frame.
  `void`
  `setController(SOMController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of SOM.
  `void`
  `setModel(SOMModel<Color,Row,Column> model)`
  Sets the model to be used for the scatter plot component and register it to the view.
  `void`
  `setView(SOMView<Component,Color,Row,Column> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.som.SOM

  `getNativeComponent`

- ## Field Details

  - ### view

    protected SOMView<Component,Color,Row,Column> view

  - ### controller

    protected SOMController controller

  - ### licenseModel

    protected static LicenseModel licenseModel

- ## Constructor Details

  - ### AbstractSOM

    public AbstractSOM(SOMModel<Color,Row,Column> model)

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of SOM. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### load

    protected void load(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Loads the specified data frame.
    Parameters:
      `dataFrame` - a data frame

  - ### getModel

    public SOMModel<Color,Row,Column> getModel()
    Description copied from interface: `SOM`
    Returns the model used by the scatter plot component.
    Specified by:
      `getModel` in interface `SOM<Component,Color,Row,Column>`
    Returns:
      the model in use

  - ### setModel

    public void setModel(SOMModel<Color,Row,Column> model)
    Description copied from interface: `SOM`
    Sets the model to be used for the scatter plot component and register it to the view.
    Specified by:
      `setModel` in interface `SOM<Component,Color,Row,Column>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public SOMView<Component,Color,Row,Column> getView()
    Description copied from interface: `SOM`
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `SOM<Component,Color,Row,Column>`
    Returns:
      the view in use

  - ### setView

    public void setView(SOMView<Component,Color,Row,Column> view)
    Description copied from interface: `SOM`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `SOM<Component,Color,Row,Column>`
    Parameters:
      `view` - the view to be used

  - ### getController

    public SOMController getController()
    Description copied from interface: `SOM`
    Returns the controller used by the parallel coordinates component.
    Specified by:
      `getController` in interface `SOM<Component,Color,Row,Column>`
    Returns:
      the controller in use

  - ### setController

    public void setController(SOMController controller)
    Description copied from interface: `SOM`
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Specified by:
      `setController` in interface `SOM<Component,Color,Row,Column>`
    Parameters:
      `controller` - the controller in use

  - ### createModel

    protected abstract SOMModel<Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a SOMModel instance

  - ### createView

    protected abstract SOMView<Component,Color,Row,Column> createView()
    Creates a view that can be used by the parallel coordinates component
    Returns:
      a SOMView instance

  - ### createController

    protected abstract SOMController createController(SOMView view)
    Creates a controller that can be used by the parallel coordinates component
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a SOMController instance